Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 77516

Summary: Kernel error messages
Product: [Retired] Red Hat Linux Reporter: Joakim Ryden <jryden>
Component: kernelAssignee: Arjan van de Ven <arjanv>
Status: CLOSED CURRENTRELEASE QA Contact: Brian Brock <bbrock>
Severity: medium Docs Contact:
Priority: medium    
Version: 7.2CC: ch
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2004-09-30 15:40:10 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Joakim Ryden 2002-11-08 10:17:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.2b) Gecko/20021016

Description of problem:
dmesg output shows this:

Trying to vfree() nonexistent vm area (f8a52000)
f13a1e9c c010828a bfffd380 bfffd320 f13a0664 80000000 f5820120 f13a0000
       f13a0000 f13a0000 c011be98 f5820120 f5820120 c0120d4c f5820120 0000000b
       f13a066c d9efaef0 f13a1f50 c0126da3 c36b2934 d9efaecc f13a0000 0000000b
Call Trace: [<c010828a>] setup_sigcontext [kernel] 0xda (0xf13a1ea0))
[<c011be98>] mmput [kernel] 0x38 (0xf13a1ec4))
[<c0120d4c>] do_exit [kernel] 0xdc (0xf13a1ed0))
[<c0126da3>] collect_signal [kernel] 0x93 (0xf13a1ee8))
[<c0108ab8>] do_signal [kernel] 0x228 (0xf13a1f18))
[<c0127200>] deliver_signal [kernel] 0x20 (0xf13a1f5c))
[<c011ce4b>] do_fork [kernel] 0x83b (0xf13a1f74))
[<c012703e>] ignored_signal [kernel] 0x2e (0xf13a1f78))
[<c01272e2>] send_sig_info [kernel] 0x82 (0xf13a1f88))
[<c01098d0>] do_general_protection [kernel] 0x0 (0xf13a1fa0))
[<c0127651>] force_sig [kernel] 0x11 (0xf13a1fa8))
[<c01098d0>] do_general_protection [kernel] 0x0 (0xf13a1fb8))
[<c0108cb4>] signal_return [kernel] 0x14 (0xf13a1fc0))


Version-Release number of selected component (if applicable):


How reproducible:
Didn't try


Additional info:

this is a smp machine running with the latest errata smp kernel; 2.4.18-17.7.xsmp

Comment 1 Need Real Name 2002-11-22 07:35:59 UTC
I'm seeing this on dual-smp PIII with 2.4.18-18.8.0smp.

It seems to happen if I tar x a large archive from my DLT80 tape drive.

Comment 2 Bugzilla owner 2004-09-30 15:40:10 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/